[PATCH 11/94] sys-process/psmisc: port to GNU Hurd

Sam James <[email protected]>
Newsgroups gmane.linux.gentoo.devel
Message-ID <53f8245a7302bacccb7d800772ae47813ef17e31.1774994285.git.sam@gentoo.org>
fuser* isn't built on Hurd, so conditionalise the move.

Signed-off-by: Sam James <[email protected]>
---
 sys-process/psmisc/psmisc-23.7.ebuild | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/sys-process/psmisc/psmisc-23.7.ebuild b/sys-process/psmisc/psmisc-23.7.ebuild
index f90c3d132eb47..be269ac8c6631 100644
--- a/sys-process/psmisc/psmisc-23.7.ebuild
+++ b/sys-process/psmisc/psmisc-23.7.ebuild
@@ -68,6 +68,8 @@ src_install() {
 	[[ -e ${ED}/usr/bin/peekfd ]] || rm -f "${ED}"/usr/share/man/man1/peekfd.1
 
 	# fuser is needed by init.d scripts; use * wildcard for #458250
-	dodir /bin
-	mv "${ED}"/usr/bin/*fuser "${ED}"/bin || die
+	if use kernel_linux ; then
+		dodir /bin
+		mv "${ED}"/usr/bin/*fuser "${ED}"/bin || die
+	fi
 }
-- 
2.53.0
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.